## org.gnu.gtk
Class FileChooserAction

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.FileChooserAction

public class FileChooserAction
extends Enum

Field Summary
`static FileChooserAction` `ACTION_CREATE_FOLDER`
`static FileChooserAction` `ACTION_OPEN`
`static FileChooserAction` `ACTION_SAVE`
`static FileChooserAction` `ACTION_SELECT_FOLDER`

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`FileChooserAction` `and(FileChooserAction other)`
`static FileChooserAction` `intern(int value)`
`FileChooserAction` `or(FileChooserAction other)`
`boolean` `test(FileChooserAction other)`
`FileChooserAction` `xor(FileChooserAction other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACTION_OPEN

    public static final FileChooserAction ACTION_OPEN

### ACTION_SAVE

    public static final FileChooserAction ACTION_SAVE

### ACTION_SELECT_FOLDER

    public static final FileChooserAction ACTION_SELECT_FOLDER

### ACTION_CREATE_FOLDER

    public static final FileChooserAction ACTION_CREATE_FOLDER

Method Detail

### intern

    public static FileChooserAction intern(int value)

### or

    public FileChooserAction or(FileChooserAction other)

### and

    public FileChooserAction and(FileChooserAction other)

### xor

    public FileChooserAction xor(FileChooserAction other)

### test

    public boolean test(FileChooserAction other)